Package twisted :: Package scripts :: Module tkunzip :: Class TkunzipOptions |
[frames | no frames]

## Class TkunzipOptions

    dict --+
           |
     Options --+
               |
              TkunzipOptions

Method Summary
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``parseOptions`(self, options)` The guts of the command-line parser.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `optFlags` = `[['use-console', 'C', 'show in the console, n...`
`list` | `optParameters` = `[['zipfile', 'z', '', 'a zipfile'], ['zi...`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Class Variable Details

    ### optFlags Type: `list` Value:
        [['use-console', 'C', 'show in the console, not graphically'],
         ['shell-exec', 'x', 'spawn a new console to show output (implies -C)'\
        ]]

    ### optParameters Type: `list` Value:
        [['zipfile', 'z', '', 'a zipfile'],
         ['ziptargetdir', 't', '.', 'where to extract zipfile'],
         ['compiledir', 'c', '', 'a directory to compile']]

Generated by Epydoc 2.0 on Sat Oct 25 00:54:58 2003 | http://epydoc.sf.net